# Workgrid Widgets - Button Client

## Usage

This package is published to [npm](https://npmjs.com), and can be imported via cdn ([ESM>CDN](https://esm.sh), [UNPKG](https://unpkg.com), [jsDelivr](https://jsdelivr.com)).

The `getToken` method is required and must return a Workgrid User Auth Token (it may be synchronous or asynchronous).

```html
<script type="module">
  import button from '@workgrid-widgets/client-button'

  button({
    getToken: () => { ... },
  })
</script>
```
